﻿html,
body {
    overflow-x: hidden;
    touch-action: pan-y;
    /* Prevents horizontal swiping */
    width: 100vw;
    /* Ensures it doesn't exceed viewport */
    position: relative;
}
#container
{
    width: 960px;
    margin: auto;
    position: relative;
}
#titleDiv {
    position: relative;
    display: block;
    padding-top: 40px;
    margin: 9px;
    text-align: center;
    border-bottom: 2px dotted #333;
}
#gradient {
    width: 960px;
    margin: auto;
    z-index: -1;
    position: absolute;
    top: 10px;
    left: 0px;
    height: 500px;
}
.textSection {
    background-color: #CCC;
    position: relative;
    width: 282px;
    height: 282px;
    display:inline-block;
    background-color: rgba(255, 255, 255, 0.25);
    margin: 9px;
    padding: 9px 9px 9px 9px;
    border-top: 2px dotted #333;
    float: left;
    font-family: 'Tinos', arial, helvetica, sans-serif;
}
#social {
    position: absolute;
    bottom: 9px;
    margin-top: 9px;
}

#titleImage {
    margin-bottom: 18px;
}

#adsenseDiv {
    padding: 0px 0px 0px 0px;
    width: 300px;
    height: 300px;
    text-align: center;
}

#footerDiv {
    border-top: 2px dotted #333;
    clear: both;
    margin: auto;
    text-align: center;
    padding: 9px 0px 9px 0px;
}

body {
    background-color:#CCC;
    background-image:url('/res/img/bg2.jpg');
    
    overflow-x: hidden;
        
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

p {
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 12px;
    color: #333;
}

#scrollView {
    position: relative;
    background-color: #333;  
    width: 300px;
    height: 300px;
    overflow-y: scroll;
    overflow-x: hidden;
}
#scrollViewContainer {
    position: relative;
    width: 300px;
    height: 300px;
    margin: 0px;
    float: left;
    margin: 5px 5px 5px 5px;
    padding: 4px;
    background-color: #333;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
}
.neckCaption {
    position: absolute;
    z-index: 999;
    background-color: #333;
    color: orange;
    width: 25px;
    text-align: center;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    /*font-weight: bold;*/
    font-size: 12px;
    -moz-border-radius: 12px;
    -webkit-border-radius: 12px;
    border-radius: 12px;
}
.SN0 { left: 22px; }
.SN1 { left: 62px; }
.SN2 { left: 102px; }
.SN3 { left: 141px; }
.SN4 { left: 181px; }
.SN5 { left: 221px; }
.sName {
    top: -6px;
}
.nName {
    bottom: -6px;
}
#nut {
    background-image: url(/res/img/nut.jpg);
    background-repeat: no-repeat;
    padding: 0px;
    width: 260px;
    height: 32px;
    margin: 0px;
}
#neck {
    background-image: url(/res/img/neck.jpg);
    background-repeat: repeat-y;
    width: 260px;
    height: 1510px;
    float: left;
    margin: 0px;
}
#fretNumbers {
    width: 8%;
    float: left;
    margin-top: 20px;
}
#fretNumbers div {
    color: orange;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 14px;
    /*font-weight: bold;*/
    height: 62px;
    vertical-align: middle;
}
#debugDiv {
    color: #222;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 20px;
}
.cube{
    width: 300px;
    height: 300px;
    margin: 9px 9px 9px 9px;
    float: left;
    background: #E8E8E8;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}
.cubelist a{
    float: left;
    display: block;
    margin: 5px;
    width: 65px;
    height: 32px;
    background-color: #CCC;
    color: #424242;
    line-height: 28px;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
        
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    -webkit-box-shadow: inset 1px 1px 1px #333; 
    -moz-box-shadow: inset 1px 1px 1px #333; 
    box-shadow: inset 1px 1px 1px #333;
}
.cubelist a:hover{
    background-color: #888;

    -webkit-transition-property: background-color;  
    -moz-transition-property: background-color;  
    -o-transition-property: background-color;   
    -ms-transition-property: background-color;  
    transition-property: background-color;   

    -webkit-transition-duration: 0.3s;  
    -moz-transition-duration: 0.3s;   
    -o-transition-duration: 0.3s;   
    -ms-transition-duration: 0.3s;  
    transition-duration: 0.3s;  

    -webkit-transition-timing-function: ease-out; 
    -moz-transition-timing-function: ease-out; 
    -o-transition-timing-function: ease-out; 
    -ms-transition-timing-function: ease-out; 
    transition-timing-function: ease-out; 

}
#formulaSelector a {
    width: 84px;
}
#formulaSelector {
    overflow-y: scroll;
    overflow-x: hidden;
}
a.selected {
    background-color: #333;
    color: orange;
}
#headerElement {
    position: relative;
    height: 54%;
    margin: 5px;
    background-color: #333;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}
#chordName {
    margin: 0px;
    padding: 0px;
    visibility: hidden;
    height: 50px;
    color: orange;
    line-height: 50px;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 24px;
    /*font-weight: bold;*/
    text-align: center;
}
#descriptionDiv {
    visibility: hidden;
}
#progressBarContainer {
    position: absolute;
    top: 94px;
    width: 280px;
    margin: 5px 5px 0px 5px;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 12px;
    color: orange;
    text-align: left;
}
#progressBarContainer.visible  {
    opacity: 1;

    -webkit-transition-property: opacity;  
    -moz-transition-property: opacity;  
    -o-transition-property: opacity;  
    -ms-transition-property: opacity;  
    transition-property: opacity;  

        -webkit-transition-duration: 0.35s;
    -moz-transition-duration: 0.35s;  
    -o-transition-duration: 0.35s;  
    -ms-transition-duration: 0.35s;  
    transition-duration: 0.35s;    

    -webkit-transition-timing-function: ease-in; 
    -moz-transition-timing-function: ease-in; 
    -o-transition-timing-function: ease-in; 
    -ms-transition-timing-function: ease-in; 
    transition-timing-function: ease-in; 
}
#progressBarContainer.hidden  {
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;

    -webkit-transition-property: opacity;  
    -moz-transition-property: opacity;  
    -o-transition-property: opacity;  
    -ms-transition-property: opacity;  
    transition-property: opacity;  

        -webkit-transition-duration: 0.35s;  
    -moz-transition-duration: 0.35s;  
    -o-transition-duration: 0.35s;  
    -ms-transition-duration: 0.35s;  
    transition-duration: 0.35s;    

    -webkit-transition-timing-function: ease-in; 
    -moz-transition-timing-function: ease-in; 
    -o-transition-timing-function: ease-in; 
    -ms-transition-timing-function: ease-in; 
    transition-timing-function: ease-in; 
}
#progressBar {
    width: 100%;
    height: 1px;
    background-color: orange;
}
#audioApiNotSupported {
    position: absolute;
    top: 100px;
    display: none;
    color: orange;
    height: 40px;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 11px;
    padding: 5px 5px 5px 5px;
}
#voiceSelector {
    display: none;
    position: absolute;
    top: 116px;
    color: orange;
    height: 40px;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-size: 24px;
    /*font-weight: bold;*/
    text-align: center;
}
#voiceSelector A  {
    width: 86px;
}
#voiceSelector A.selected  {
    border: 1px solid orange;
}
.fng {
    position:absolute;
    width: 30px;
    height: 30px;
    top: 0px;
    left: 0px;
    font-family: 'Tinos', arial, helvetica, sans-serif;
    font-weight: bolder;
    font-size: 18px;
    line-height: 28px;
    position: relative;
    color: orange;
    background-color: #333;
    border: 2px solid orange;
    text-align: center;
    -moz-border-radius: 20px;
    -webkit-border-radius: 20px;
    border-radius: 20px;
        
    -webkit-box-shadow: 3px 5px 3px #333;
    -moz-box-shadow: 3px 5px 3px #333;
    box-shadow: 3px 5px 3px #333;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.fngHide {  
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    opacity: 0;
    z-index: 10;
        
    -webkit-transition-property: opacity, -webkit-transform;  
    /*-moz-transition-property: opacity, -moz-transform;*/
    -o-transition-property: opacity, -o-transform;  
    -ms-transition-property: opacity, -ms-transform;  
    transition-property: opacity, transform;  

    -webkit-transition-duration: 0.35s, 0.35s;  
    /*-moz-transition-duration: 0.35s, 0.35s;*/  
    -o-transition-duration: 0.35s, 0.35s;  
    -ms-transition-duration: 0.35s, 0.35s;  
    transition-duration: 0.35s, 0.35s;    

    -webkit-transition-timing-function: ease-in, ease-in; 
    /*-moz-transition-timing-function: ease-in, ease-in;*/ 
    -o-transition-timing-function: ease-in, ease-in; 
    -ms-transition-timing-function: ease-in, ease-in; 
    transition-timing-function: ease-in, ease-in; 

    /*-moz-transform-origin: center center;*/
    -webkit-transform-origin: center center;
    -o-transform-origin: center center;
    -ms-transform-origin: center center;
    transform-origin: center center;
		
    /*-moz-transform: scale(0);*/
    -webkit-transform: scale(0);
    -o-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
}
.fngShow {  
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    opacity: 1;
    z-index: 11;

    -webkit-transition-property: opacity, -webkit-transform;  
    /*-moz-transition-property: opacity, -moz-transform;*/  
    -o-transition-property: opacity, -o-transform;  
    -ms-transition-property: opacity, -ms-transform;  
    transition-property: opacity, transform;    

    -webkit-transition-duration: 0.35s, 0.35s;  
    /*-moz-transition-duration: 0.35s, 0.35s;*/  
    -o-transition-duration: 0.35s, 0.35s;  
    -ms-transition-duration: 0.35s, 0.35s;  
    transition-duration: 0.35s, 0.35s;  

    -webkit-transition-timing-function: ease-out, ease-out; 
    /*-moz-transition-timing-function: ease-out, ease-out;*/ 
    -o-transition-timing-function: ease-out, ease-out; 
    -ms-transition-timing-function: ease-out, ease-out; 
    transition-timing-function: ease-out, ease-out; 

    /*-moz-transform-origin: center center;*/
    -webkit-transform-origin: center center;
    -o-transform-origin: center center;
    -ms-transform-origin: center center;
    transform-origin: center center;
		
	/*-moz-transform: scale(1);*/
    -webkit-transform: scale(1);
    -o-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}
@keyframes vibrateA {
    0% {
    background-color: orange;
    }
    10% {
    background-color: red;
    }
    100% {
    background-color: orange;
    }
}
@keyframes vibrateB {
    0% {
    background-color: orange;
    }
    10% {
    background-color: red;
    }
    100% {
    background-color: orange;
    }
}
@-webkit-keyframes vibrateAWK {
    0% {
    background-color: orange;
    }
    10% {
    background-color: red;
    }
    100% {
    background-color: orange;
    }
}
@-webkit-keyframes vibrateBWK {
    0% {
    background-color: orange;
    }
    10% {
    background-color: red;
    }
    100% {
    background-color: orange;
    }
}
.sShow {
    position:absolute;
    background-color: orange;
    width: 2px;
    height: 1540px;
    -webkit-box-shadow: 3px 5px 3px #333;
    -moz-box-shadow: 3px 5px 3px #333;
    box-shadow: 3px 5px 3px #333;

    -webkit-transition-property: background-color;  
    /*-moz-transition-property: background-color;*/  
    -o-transition-property: background-color;  
    -ms-transition-property: background-color;  
    transition-property: background-color;    

    -webkit-transition-duration: 0.35s;  
    /*-moz-transition-duration: 0.35s;*/  
    -o-transition-duration: 0.35s;  
    -ms-transition-duration: 0.35s;  
    transition-duration: 0.35s;  

    -webkit-transition-timing-function: ease-out; 
    /*-moz-transition-timing-function: ease-out;*/ 
    -o-transition-timing-function: ease-out; 
    -ms-transition-timing-function: ease-out; 
    transition-timing-function: ease-out; 
}
.sHide {
    position:absolute;
    background-color: gray;
    width: 2px;
    height: 1540px;
    -webkit-box-shadow: 3px 5px 3px #333;
    -moz-box-shadow: 3px 5px 3px #333;
    box-shadow: 3px 5px 3px #333;

    -webkit-transition-property: background-color;  
    /*-moz-transition-property: background-color;*/  
    -o-transition-property: background-color;  
    -ms-transition-property: background-color;  
    transition-property: background-color;    

    -webkit-transition-duration: 0.35s;  
    /*-moz-transition-duration: 0.35s;*/  
    -o-transition-duration: 0.35s;  
    -ms-transition-duration: 0.35s;  
    transition-duration: 0.35s;  

    -webkit-transition-timing-function: ease-out; 
    /*-moz-transition-timing-function: ease-out;*/ 
    -o-transition-timing-function: ease-out; 
    -ms-transition-timing-function: ease-out; 
    transition-timing-function: ease-out; 
}
.vibClsA {
    -webkit-animation: vibrateAWK 0.3s linear 1;
    animation: vibrateA 0.3s linear 1;
}
.vibClsB {
    -webkit-animation: vibrateBWK 0.3s linear 1;
    animation: vibrateB 0.3s linear 1;
}
#str0 { left: 30px; }
#str1 { left: 70px; }
#str2 { left: 110px; }
#str3 { left: 149px; }
#str4 { left: 189px; }
#str5 { left: 229px; }
.strBox { 
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
    filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=0);
    z-index: 666;
    opacity: 0;
    position:absolute;
    width: 30px;
    height: 1540px;
    background-color: white;
}
#strBox0 { left: 15px; }
#strBox1 { left: 55px; }
#strBox2 { left: 95px; }
#strBox3 { left: 134px; }
#strBox4 { left: 174px; }
#strBox5 { left: 214px; }

@media screen and (min-width: 0px) and (max-width: 639px) {
    #container
	{
        width: 320px;
        margin: auto;
        position: relative;
	}
    #titleDiv {
        display: none;
    }
    .textSection {
        position: relative;
        width: 282px;
        display:inline-block;
        background-color: rgba(255, 255, 255, 0.15);
        margin: 9px;
        padding: 9px 9px 9px 9px;
        border-top: 2px dotted #333;
        float: left;
    }
    #social {
        margin-top: 9px;
        position: static;
    }
    #chordText {
        height: initial;
    }
    #storeText{
        height: initial;
    }
    #formulaSelector {
        height: 135px;
    }
}
@media screen and (min-width: 640px) and (max-width: 959px)
{
    #container
	{
        width: 640px;
        margin: auto;
        position: relative;
	}
    #titleDiv {
        position: relative;
        display: block;
        margin: 9px;
        text-align: center;
        border-bottom: 2px dotted #333;
    }
    #gradient {
        width: 640px;
        margin: auto;
        z-index: -1;
        position: absolute;
        top: 0px;
        left: 0px;
        height: 450px;
        background: -webkit-radial-gradient(50% 50%, ellipse closest-side, rgba(51, 51, 51, 0.70) 0%, rgba(51, 51, 51, 0.60) 60%, rgba(51, 51, 51, 0) 100%);
        background: -moz-radial-gradient(50% 50%, ellipse closest-side, rgba(51, 51, 51, 0.70) 0%, rgba(51, 51, 51, 0.60) 60%, rgba(51, 51, 51, 0) 100%);
        background: radial-gradient(50% 50%, ellipse closest-side, rgba(51, 51, 51, 0.70) 0%, rgba(51, 51, 51, 0.60) 60%, rgba(51, 51, 51, 0) 100%);
    }
    .textSection {
        position: relative;
        width: 282px;
        height: 282px;
        display:inline-block;
        background-color: rgba(255, 255, 255, 0.15);
        margin: 9px;
        padding: 9px 9px 9px 9px;
        border-top: 2px dotted #333;
        float: left;
    }
    #social {
        position: absolute;
        bottom: 9px;
        margin-top: 9px;
    }
    #storeText{
        display: none;
    }
    #adsenseDiv {
        width: 620px;
    }
}
@media (min-width: 960px) {
    #container
	{
        width: 960px;
        margin: auto;
        position: relative;
	}
    #titleDiv {
        position: relative;
        display: block;
        padding-top: 40px;
        margin: 9px;
        text-align: center;
        border-bottom: 2px dotted #333;
    }
    #gradient {
        width: 960px;
        margin: auto;
        z-index: -1;
        position: absolute;
        top: 10px;
        left: 0px;
        height: 500px;
        background: -webkit-radial-gradient(50% 50%, ellipse closest-side, rgba(51, 51, 51, 0.85) 0%, rgba(51, 51, 51, 0.85) 20%, rgba(51, 51, 51, 0) 100%);
        background: -moz-radial-gradient(50% 50%, ellipse closest-side, rgba(51, 51, 51, 0.85) 0%, rgba(51, 51, 51, 0.85) 20%, rgba(51, 51, 51, 0) 100%);
        background: radial-gradient(50% 50%, ellipse closest-side, rgba(51, 51, 51, 0.85) 0%, rgba(51, 51, 51, 0.85) 20%, rgba(51, 51, 51, 0) 100%);
    }
    .textSection {
        position: relative;
        width: 282px;
        height: 282px;
        display:inline-block;
        background-color: rgba(255, 255, 255, 0.15);
        margin: 9px;
        padding: 9px 9px 9px 9px;
        border-top: 2px dotted #333;
        float: left;
    }
    #social {
        position: absolute;
        bottom: 9px;
        margin-top: 9px;
    }
}